#!/bin/bash

containerstart=`stat -c %Z /proc/1`
curtime=`date +%s`
if (( curtime-containerstart < 180 )); then
    while ! mongo --host "${DB_CLUSTER}" --eval "db.runCommand( { connectionStatus: 1 } )"; do echo "Waiting for ${DB_CLUSTER} to be available"; sleep 1; done
    echo "0"
    exit 0
fi

curl -f 127.0.0.1:8090/login || exit 1
#curl -f -H 'Host:labportal.infoclinica.ru' 127.0.0.1:8090/login
